(************************************************)
(* 						*)
(*	    SuperVGA BGI driver defines		*)
(*		Copyright (c) 1990		*)
(*	    Jordan Hargraphix Software		*)
(*						*)
(************************************************)

type DacPalette = array[0..255] of array[0..2] of Byte;

(* These are the currently supported modes *)
const
  VGA320x200	= 0;	(* Standard VGA *)
  SVGA640x400	= 1;	(* 640x400x256 Svga *)
  SVGA640x480	= 2;	(* 640x480x256 Svga *)
  SVGA800x600	= 3;	(* 800x600x256 Svga *)
  SVGA1024x768	= 4;	(* 1024x768x256 Svga *)


(* Setvgapalette sets the entire 256 color palette *)
(* PalBuf contains RGB values for all 256 colors   *)
(* R,G,B values range from 0 to 63	           *)
procedure SetVGAPalette(PalBuf : DacPalette);
var
  Reg : Registers;

begin
  reg.ax := $1012;
  reg.bx := 0;
  reg.cx := 256;
  reg.es := Seg(PalBuf);
  reg.dx := Ofs(PalBuf);
  intr($10,reg);
end;


